#!/bin/bash
# DO NOT EDIT THIS FILE!
# Put your local configuration in conf.sh

# Default configuration values
# ----------------------------
ENVSETUP_BRANCH='stable'

# -- System --
# Skyreach in which system looks for packages
SKYREACH_HOST='mirismanager.ubicast.eu'
SKYREACH_SSL_VERIFY='1'
# ⚠ SKYREACH_API_KEY is used in ubicast-skyreach package at first installation
SKYREACH_API_KEY=''
SKYREACH_APT_TOKEN=''
SKYREACH_ACTIVATION_KEY=''
# NTP
NTP_SERVER='0.pool.ntp.org,1.pool.ntp.org,2.pool.ntp.org,3.pool.ntp.org'
# SSH
SSH_ALLOWED_KEYS=''
# ⚠ SSH_MAINTENANCE_PORT is used in ubicast-monitor package postinst
SSH_MAINTENANCE_PORT=''
# SSL certificate
SSL_CERTIFICATE='/etc/ssl/certs/ssl-cert-snakeoil.pem'
SSL_CERTIFICATE_KEY='/etc/ssl/private/ssl-cert-snakeoil.key'
# APT sources
APT_CACHE_URL=''
# Locale & TimeZone
LOCALE='en_US.UTF-8'
TIMEZONE='Etc/UTC'

# -- Shell --
# ubicast shell account
SHELL_UBICAST_PWD=''
# customer shell account
SHELL_ADMIN_PWD=''

# -- Emails --
EMAIL_SMTP_SERVER=''
EMAIL_SMTP_USER=''
EMAIL_SMTP_PWD=''
EMAIL_SENDER=''
# separate emails with comas in EMAIL_ADMINS
EMAIL_ADMINS=''
PREMIUM_SUPPORT='0'

# -- Wowza --
WOWZA_LIVE_PWD='test'
WOWZA_MANAGER_PWD='test'
WOWZA_LICENSE=''

# -- MediaServer --
# ⚠ MS_SERVER_NAME is used in ubicast-mediaserver package when adding an instance
MS_SERVER_NAME='mediaserver'
# ⚠ MS_ID is used in ubicast-mediaserver package when adding an instance
MS_ID='fX_msuser'
# ⚠ MS_API_KEY is used in ubicast-mediaserver package when adding an instance
# API key looks like: s00pN-aRseu-dnfMq-678CV-9nS9E
MS_API_KEY=
# ⚠ MS_SECRET is used in ubicast-mediaserver package when adding an instance
MS_SECRET='secret'
# ⚠ MS_SUPERUSER_PWD is used in ubicast-mediaserver package when adding an instance
MS_SUPERUSER_PWD='test'
# ⚠ MS_ADMIN_PWD is used in ubicast-mediaserver package when adding an instance
MS_ADMIN_PWD='test'

# -- Monitor --
# ⚠ MONITOR_SERVER_NAME is used in ubicast-monitor package postinst
MONITOR_SERVER_NAME='monitor'
# ⚠ MONITOR_SUPERUSER_PWD is used in ubicast-monitor package postinst
MONITOR_SUPERUSER_PWD=''
# ⚠ MONITOR_ADMIN_PWD is used in ubicast-monitor package postinst
MONITOR_ADMIN_PWD=''
# ⚠ MONITOR_SHELL_PWD is used in ubicast-monitor package postinst
MONITOR_SHELL_PWD=''

# -- Miris Manager --
# ⚠ CM_SERVER_NAME is used in ubicast-skyreach package postinst and in ubicast-mediaserver package when adding an instance
CM_SERVER_NAME='mirismanager'
# ⚠ CM_SUPERUSER_PWD is used in ubicast-skyreach package at first installation
CM_SUPERUSER_PWD='test'
# ⚠ CM_ADMIN_PWD is used in ubicast-skyreach package at first installation
CM_ADMIN_PWD='test'

# -- Cache server --
CACHE_SERVER_NAME=''
CACHE_SOURCE=''

# -- Database --
# ⚠ DB_HOST is used in ubicast-mediaserver and ubicast-skyreach package postinst
DB_HOST='127.0.0.1'
# ⚠ DB_PORT is used in ubicast-mediaserver and ubicast-skyreach package postinst
DB_PORT='5432'
# ⚠ DB_PG_ROOT_PWD is used in ubicast-mediaserver and ubicast-skyreach package postinst
# if no password is set, it will not be changed or set
DB_PG_ROOT_PWD=''

# -- Celerity --
# ⚠ CELERITY_SIGNING_KEY is used in ubicast-mediaserver package when adding an instance
CELERITY_SIGNING_KEY='test'
# ⚠ CELERITY_SERVER is used in ubicast-mediaserver package when adding an instance
CELERITY_SERVER='127.0.0.1'

# -- Network configuration --
# applied with client configuration step
NETWORK_IP=''
NETWORK_DNS=''
NETWORK_MASK=''
NETWORK_GATEWAY=''
# define this if IP is NATed
NETWORK_IP_NAT=''

# -- Proxy configuration --
PROXY_HTTP=''
PROXY_HTTPS=''
# PROXY_EXCLUDE is used in no_proxy env (a comma separated list of domains)
PROXY_EXCLUDE=''

# -- Fail2ban specific settings --
FAIL2BAN_ENABLED='1'
FAIL2BAN_SEND_EMAIL='0'
FAIL2BAN_DEST_EMAIL=''
FAIL2BAN_MAXRETRY='6'
FAIL2BAN_BANTIME='30'

# -- tmbackup.sh --
BACKUP_SERVER=''
# CSV separated
LOCAL_BACKUP_FOLDERS=''

# -- MediaImport --
MEDIAIMPORT_USER=''
MEDIAIMPORT_PASSWD=''

# -- Tester config --
# enable systemd timer to execute tests by default
TESTER_ENABLE_SYSTEMD_TIMER='1'
# separate values with commas
TESTER_IGNORED_TESTS=''
# separate values with commas
TESTER_MS_INSTANCES=''
# maximum number of instances to test
# TESTER_MAX_INSTANCES is ignored if TESTER_MS_INSTANCES is set
TESTER_MAX_INSTANCES=''
# ignore routing rules in VOD/live/cache tests (enable this if the server cannot reach cache servers)
TESTER_IGNORE_ROUTING_RULES='0'
# ignore these dns names
TESTER_DNS_RESOLUTION_IGNORED=''
# ignore these nginx vhosts
TESTER_VHOST_RESOLUTION_IGNORED=''
# encode report attachment to base64
TESTER_BASE64_ATTACH='0'

# -- Constants --
CYAN='\033[0;36m'
PURPLE='\033[0;35m'
BLUE='\033[0;34m'
YELLOW='\033[0;32m'
GREEN='\033[0;32m'
RED='\033[0;31m'
NC='\033[0;0m'

# Upstream configuration override
# -------------------------------
# (file generated by Panel / Skyreach)
if [ -f "/root/envsetup/auto-generated-conf.sh" ]; then
	source "/root/envsetup/auto-generated-conf.sh"
fi

# Local configuration override
# ----------------------------
if [ -f "/root/envsetup/conf.sh" ]; then
	source "/root/envsetup/conf.sh"
fi

